Subject: Re: [PATCH] dsa: mv88e6352/mv88e6xxx: Add support for Marvell 88E6320 and 88E6321

From: Guenter Roeck <[email-masked]>
Date: Wed, 08 Jul 2015 08:08:31 -0700

On 07/08/2015 07:52 AM, Andrew Lunn wrote:
> On Tue, Jul 07, 2015 at 08:38:15PM -0700, Guenter Roeck wrote:
>> From: "Aleksey S. Kazantsev" <[email-masked]>
>>
>> MV88E6320 and MV88E6321 are largely compatible to MV886352,
>> but are members of a different chip family.
>>
>> Signed-off-by: Aleksey S. Kazantsev <[email-masked]>
>> Signed-off-by: Guenter Roeck <[email-masked]>
>
> Reviewed-by: Andrew Lunn <[email-masked]>
>
> One thing we might want to consider, is moving the temperate sensor
> code into mv88e6xxx. It seems likely future devices will also have the
> same sensor, so moving it to the shared code would make sense. We can
> then keep all mv88e6xxx_XXXX_family() stuff in a single file.
>
> I don't see this as a blocker for this patchset, but now might be the
> right time to do this.
>
Makes sense. Let's do it in a separate patch, though.
I'll do that in a couple of weeks, after I am back from vacation.

Thanks,
Guenter